AOZ Studio Beta - Bug #901

AOZ variables transpiler/parsing error.

06/20/2022 07:49 AM - Brian Flanagan

$ is allowed inside a variable name.

Status: Closed
Priority: High
Assignee: Francois Lionet
Category:

Target version: none

Affected version:

Start date: 06/20/2022
Due date:

% Done: 0%
Estimated time: 0:00 hour

Description
Example:

X$yYS="abcdef"
Print X$YS

The result is:
abcdef

...when is SHOULD be a syntax error.

History

#1 - 06/29/2022 10:00 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 12/03/2022 06:46 PM - Brian Flanagan

- Status changed from Resolved to Closed
